Subject: Re: can't find <bool.h>
From: [email-masked] (Mumit Khan)

30 Mar 1998 18:37:17 -0800
Message-ID: <[email-masked]>
References: <c=AU%a=_%l=[email-masked]>
To: Brendan Simon <[email-masked]>
Cc: "'GNU-Win32'" <[email-masked]>

Brendan Simon <[email-masked]> writes:
> 
> I am porting a V (C++ GUI) from Linux to Win32 using MinGW32.  I have
> done this before with the same program and it worked fine.  This is a
> bit of a lie because I ported it using Cygwin32 as I now recall.
> 
> I've added some more variables recently which use the bool type but
> gcc/g++ can't find <bool.h>

"bool.h" is not part of C++ standard, rather part of libg++, which is 
deprecated; perhaps your mingw32 gcc distribution does not include 
it? Note that it's non-standard header, and any code that expects it is 
broken, plain and simple. 

FYI, EGCS 1.0.2 mingw32 distribution does include libg++, and hence bool.h.
See http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ for more info.

BTW, I believe that Jan-Jaap has a port of V on his web page. Follow my 
link above to get to his.

> 
> I also have the my own types.h file with the following.
> 
> typedef bool BOOL;
> 
> MinGW32 doesn't seem to like this because the Windows API uses BOOL.  I
> have tried using BOOLEAN but the Windows API seems to use it as well.
> 

Use something else! Of course, I don't see the need for using this "double 
typedef". All it does is add complexity where none is needed or desired. 
Why not just use "bool" if you're using C++ to begin with?

Mumit
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".